package com.planet_ink.coffee_mud.Abilities.Languages;
import com.planet_ink.coffee_mud.core.interfaces.*;
import com.planet_ink.coffee_mud.core.*;
import com.planet_ink.coffee_mud.Abilities.interfaces.*;
import com.planet_ink.coffee_mud.Areas.interfaces.*;
import com.planet_ink.coffee_mud.Behaviors.interfaces.*;
import com.planet_ink.coffee_mud.CharClasses.interfaces.*;
import com.planet_ink.coffee_mud.Commands.interfaces.*;
import com.planet_ink.coffee_mud.Common.interfaces.*;
import com.planet_ink.coffee_mud.Exits.interfaces.*;
import com.planet_ink.coffee_mud.Items.interfaces.*;
import com.planet_ink.coffee_mud.Locales.interfaces.*;
import com.planet_ink.coffee_mud.MOBS.interfaces.*;
import com.planet_ink.coffee_mud.Races.interfaces.*;

import java.util.*;

/* 
   Copyright 2000-2006 Bo Zimmerman

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

public class Elvish extends Language
{
	public String ID() { return "Elvish"; }
	public String name(){ return "Elvish";}
	public static Vector wordLists=null;
	private static boolean mapped=false;
	public Elvish()
	{
		super();
		if(!mapped){mapped=true;
					CMLib.ableMapper().addCharAbilityMapping("All",1,ID(),false);}
	}
	public Vector translationVector()
	{
		if(wordLists==null)
		{
			String[] one={"a","e","i","o","į","é","ķ","ó"};
			String[] two={"os","vi","ne","vo","li","eh","no","ai","by","et","ce","un","il"};
			String[] three={"įna","cil","sar","tan","hel","loa","sir","hep","yur","nol","hol","qua","éth"};
			String[] four={"séya","qual","quel","lara","uqua","sana","yava","masse","yanna","quettaparma","manna","manan","merme","carma","harno","harne","varno","essar","saira","cilta","veuma","norta","turme","saita"};
			String[] five={"cuiva","cuina","nonwa","imire","nauta","cilta","entuc","norta","latin","lņtea","veuya","veuro","apama","hampa","nurta","firta","saira","holle","herwa","uquen","arcoa","calte","cemma","hanta","tanen"};
			String[] six={"mahtale","porisalque","hairie","tararan","ambarwa","latina","olņtie","amawil","apacen","yavinqua","apalume","linquilea","menelwa","alassea","nurmea","parmasse","ceniril","heldasse","imirin","earina","calatengew","lapselunga","rianna","eneques"};
			wordLists=new Vector();
			wordLists.addElement(one);
			wordLists.addElement(two);
			wordLists.addElement(three);
			wordLists.addElement(four);
			wordLists.addElement(five);
			wordLists.addElement(six);
		}
		return wordLists;
	}
	private static final Hashtable hashwords=new Hashtable();
	public Hashtable translationHash()
	{
		if((hashwords!=null)&&(hashwords.size()>0))
			return hashwords;
		hashwords.put("ABANDON","avarta");
		hashwords.put("ABLE","pol");
		hashwords.put("ACCOMMODATE","camta");
		hashwords.put("ACT","car");
		hashwords.put("ADAPT","camta");
		hashwords.put("ADDRESS","tengessė");
		hashwords.put("AFFECT","peresta");
		hashwords.put("AFFECTED","persana");
		hashwords.put("AFFECTION","persaniė");
		hashwords.put("AFFECTIONATE","méla");
		hashwords.put("AFTER","nó");
		hashwords.put("AGAINST","ara");
		hashwords.put("AGED","yeniquanta");
		hashwords.put("AGO","luina");
		hashwords.put("AID","resta");
		hashwords.put("ALIKE","óvėa");
		hashwords.put("ALONE","erinqua");
		hashwords.put("ALREADY","epello");
		hashwords.put("ALSO","yando");
		hashwords.put("ALTER","presto");
		hashwords.put("ALWAYS","illumė");
		hashwords.put("AMEN","nįsiė");
		hashwords.put("AMONG","imķca");
		hashwords.put("AND","ar");
		hashwords.put("ANGLE","vennassė");
		hashwords.put("ANNIVERSARY","atyenįrė");
		hashwords.put("ANSWER","dangweth");
		hashwords.put("APPARITION","ausa");
		hashwords.put("APPLIANCE","yungwa");
		hashwords.put("APPROACH","analendė");
		hashwords.put("APPROPRIATE","sati");
		hashwords.put("ARTICLE","maca");
		hashwords.put("AS","ier");
		hashwords.put("ASSEMBLE","yocar");
		hashwords.put("ATTACK","nalanta");
		hashwords.put("BEFORE","epė");
		hashwords.put("BEGETTER","ammė");
		hashwords.put("BEGIN","yesta");
		hashwords.put("BEGINNING","yessė");
		hashwords.put("BELT","quilta");
		hashwords.put("BESIDE","apa");
		hashwords.put("BETRAY","varta");
		hashwords.put("BETRAYER","varto");
		hashwords.put("BE","nauva");
		hashwords.put("BEYOND","lį");
		hashwords.put("BLADE","maica");
		hashwords.put("BLEND","ostimė");
		hashwords.put("BLESSED","manaquenta");
		hashwords.put("BLOOM","etelotya");
		hashwords.put("BLOSSOM","olótė");
		hashwords.put("BOOT","saipo");
		hashwords.put("BOUND","lanya");
		hashwords.put("BOUNDS","lanwa");
		hashwords.put("BOUNDARY","taica");
		hashwords.put("BROTH","salpa");
		hashwords.put("BURDEN","cólo");
		hashwords.put("BUT","ono");
		hashwords.put("CAN","ista");
		hashwords.put("CAT","miura");
		hashwords.put("CATCH","raita");
		hashwords.put("CENTRE","entė");
		hashwords.put("CENTER","entė");
		hashwords.put("CENTRAL","entya");
		hashwords.put("CERTAINLY","tancavė");
		hashwords.put("CHAIN","angwenda");
		hashwords.put("CHARACTER","indómė");
		hashwords.put("CHEERS","almien");
		hashwords.put("CHESS","arantyalmė");
		hashwords.put("CHESSBOARD","artapano");
		hashwords.put("CHOOSE","cil");
		hashwords.put("CHRIST","Elpino");
		hashwords.put("CIGARETTE","uscillė");
		hashwords.put("CITY","minassė");
		hashwords.put("CLEANSE","poita");
		hashwords.put("CLOAK","fanta");
		hashwords.put("CLOCK","lśma");
		hashwords.put("CLOSED","avalatya");
		hashwords.put("CLOSENESS","aquapahtiė");
		hashwords.put("CLOTHE","hap");
		hashwords.put("CLOTHING","hampė");
		hashwords.put("COMING","tulessė");
		hashwords.put("COMPASSION","ófelmė");
		hashwords.put("COMPOSE","yocar");
		hashwords.put("COMPRESS","sanga");
		hashwords.put("CONCERN","apa");
		hashwords.put("CONCERNING","pį");
		hashwords.put("CONFIRM","tancata");
		hashwords.put("CONFRONTING","nimba");
		hashwords.put("CONSONANT","nįva-tengwė");
		hashwords.put("CONSTRUCT","yocar");
		hashwords.put("CONVERSE","artaquet");
		hashwords.put("COPPER","calarus");
		hashwords.put("COURSE","ratta");
		hashwords.put("COVERING","vailė");
		hashwords.put("CURSE","racco");
		hashwords.put("DAILY","ilyarėa");
		hashwords.put("DANGER","raxalė");
		hashwords.put("DEBATE","artaquet");
		hashwords.put("DEBT","luhta");
		hashwords.put("DEBTOR","lucando");
		hashwords.put("DEEM","ndab");
		hashwords.put("DEER","arassė");
		hashwords.put("DEFENCE","ortķriė");
		hashwords.put("DEFINED","lanwa");
		hashwords.put("DELIVER","eterśna");
		hashwords.put("DEMON","śmaia");
		hashwords.put("DENSE","sangwa");
		hashwords.put("DEPRIVED","racinė");
		hashwords.put("DESCRIBE","śna");
		hashwords.put("DESIRE","nįmiė");
		hashwords.put("DESPISE","nattira");
		hashwords.put("DESTITUTE","śna");
		hashwords.put("DEVIL","śmaia");
		hashwords.put("DIFFICULTY","taryassė");
		hashwords.put("DIPHTHONG","ohlon");
		hashwords.put("DISTANCE","hayassė");
		hashwords.put("DISTANCING","hailė");
		hashwords.put("DISTURB","peresta");
		hashwords.put("DIVIDE","sati");
		hashwords.put("DIVINE","eruva");
		hashwords.put("DOOR","fendassė");
		hashwords.put("DOORWAY","fendassė");
		hashwords.put("DOWN","nat");
		hashwords.put("DRAIN","suhta");
		hashwords.put("DRINK","yulmė");
		hashwords.put("DRINKER","yulmo");
		hashwords.put("DRUM","rambillė");
		hashwords.put("DYNASTY","hilyalė");
		hashwords.put("ECCLESIASTIC","hostalya");
		hashwords.put("EDGE","lanca");
		hashwords.put("EIGHTH","toldėa");
		hashwords.put("ELDER","anyįro");
		hashwords.put("EMINENT","minya");
		hashwords.put("EMOTION","felmė");
		hashwords.put("EMPLOY","yuhta");
		hashwords.put("ENHANCE","han");
		hashwords.put("ENCLOSE","lanya");
		hashwords.put("END","lancassė");
		hashwords.put("ENDURE","larta");
		hashwords.put("ENFOLD","hampė");
		hashwords.put("ENLACED","raina");
		hashwords.put("ENQUIRY","minasuriė");
		hashwords.put("ENTANGLED","rembina");
		hashwords.put("ENTER","mitta");
		hashwords.put("ENTRAP","remi");
		hashwords.put("ENTREATY","arcandė");
		hashwords.put("ERROR","mista");
		hashwords.put("ESTABLISH","tancata");
		hashwords.put("ETERNITY","oirė");
		hashwords.put("EVIL","ulka");
		hashwords.put("EXCAVATE","rosta");
		hashwords.put("EXCLUDED","satya");
		hashwords.put("EXILE","etelerro");
		hashwords.put("EXILED","etelenda");
		hashwords.put("EXTENSION","taima");
		hashwords.put("FACE","nķvė");
		hashwords.put("FACING","nimba");
		hashwords.put("FASHION","eccat");
		hashwords.put("FASTENING","tanca");
		hashwords.put("FEEL","tenya");
		hashwords.put("FEELING","tendilė");
		hashwords.put("FENCE","ettelė");
		hashwords.put("FIFTH","lempėa");
		hashwords.put("FINGER","lepsė");
		hashwords.put("FINITE","lanwa");
		hashwords.put("FIRM","talya");
		hashwords.put("FIT","camta");
		hashwords.put("FLOOD","oloiya");
		hashwords.put("FLOWER","lotsė");
		hashwords.put("FLY","ramya");
		hashwords.put("FOLLOW","veuya");
		hashwords.put("FOLLOWER","veuro");
		hashwords.put("FOLLOWING","hilmė");
		hashwords.put("FOOD","sulpa");
		hashwords.put("FOOTSTOOL","sarassė");
		hashwords.put("FOR","rį");
		hashwords.put("FORCE","sahtiė");
		hashwords.put("FOREBODE","apaquet");
		hashwords.put("FORESTER","apaquet");
		hashwords.put("FORGIVE","apsene");
		hashwords.put("FORLORN","śna");
		hashwords.put("FORSAKE","avarta");
		hashwords.put("FORT","minassė");
		hashwords.put("FORTRESS","arta");
		hashwords.put("FOUNTAIN","ehtelė");
		hashwords.put("FOURTH","cantėa");
		hashwords.put("FOXY","ruscu");
		hashwords.put("FROG","carpo");
		hashwords.put("FRONT","nķvė");
		hashwords.put("FULL","penquanta");
		hashwords.put("FULLNESS","quantassė");
		hashwords.put("FUR","helet");
		hashwords.put("FUTURE","apalśmė");
		hashwords.put("GARMENT","hampė");
		hashwords.put("GATEWAY","fendassė");
		hashwords.put("GATHERING","hostalė");
		hashwords.put("GET","net");
		hashwords.put("GLOOM","nimbė");
		hashwords.put("GLORIFY","alcarya");
		hashwords.put("GNAW","nyanda");
		hashwords.put("GORGE","capiė");
		hashwords.put("GRACE","erulisse");
		hashwords.put("GRACIOUS","raina");
		hashwords.put("GRAVE","sarca");
		hashwords.put("GREET","suila");
		hashwords.put("GREETING","suiliė");
		hashwords.put("GROW","lauya");
		hashwords.put("HALLOW","airita");
		hashwords.put("HARASS","tarasta");
		hashwords.put("HARD","sarda");
		hashwords.put("HARP","tanta");
		hashwords.put("HARVEST","cermiė");
		hashwords.put("HASSOCK","sarassė");
		hashwords.put("HAVE","inyen");
		hashwords.put("HAVEN","ciryapanda");
		hashwords.put("HE","sė");
		hashwords.put("HEAVE","solto");
		hashwords.put("HEAVEN","eruman");
		hashwords.put("HEM","lanė");
		hashwords.put("HERO","salyon");
		hashwords.put("HOLD","hep");
		hashwords.put("HOMELESS","avamarwa");
		hashwords.put("HONOUR","han");
		hashwords.put("HOP","lapa");
		hashwords.put("HOPE","amatķrė");
		hashwords.put("HORN","ramna");
		hashwords.put("HUNGRY","maita");
		hashwords.put("HUNT","fara");
		hashwords.put("HURL","hat");
		hashwords.put("HYMN","airelinna");
		hashwords.put("IF","ai");
		hashwords.put("IMPEDED","tapta");
		hashwords.put("IMPEL","or");
		hashwords.put("IMPELLED","horna");
		hashwords.put("IMPETUOUS","ascara");
		hashwords.put("IMPULSE","hroafelmė");
		hashwords.put("IN","mina");
		hashwords.put("INACTION","lacarė");
		hashwords.put("INADEQUATE","penya");
		hashwords.put("INCREASE","han");
		hashwords.put("INDICATE","tėa");
		hashwords.put("INDUCE","sahta");
		hashwords.put("INEVITABILITY","sangiė");
		hashwords.put("INSPIRE","mihwesta");
		hashwords.put("INSULT","ehta");
		hashwords.put("INTEND","elya");
		hashwords.put("INTO","mitta");
		hashwords.put("INUNDATE","oloiya");
		hashwords.put("INWARDS","mitta");
		hashwords.put("ISLANDER","tolloquen");
		hashwords.put("JESUS","yésus");
		hashwords.put("JUDGE","nem");
		hashwords.put("JUDGEMENT","nįmiė");
		hashwords.put("JUMP","lapa");
		hashwords.put("JOURNEY","lendė");
		hashwords.put("KEEP","hep");
		hashwords.put("KINDLE","calta");
		hashwords.put("KINGDOM","turindiė");
		hashwords.put("KITCHEN","mastasan");
		hashwords.put("KNEAD","mascata");
		hashwords.put("LABOUR","arassė");
		hashwords.put("LACE","raiwė");
		hashwords.put("LACKING","penya");
		hashwords.put("LAMENTING","nainala");
		hashwords.put("LAST","larta");
		hashwords.put("LEAD","tulya");
		hashwords.put("LEAN","linya");
		hashwords.put("LEAP","cap");
		hashwords.put("LEARN","nolya");
		hashwords.put("LENITION","persaniė");
		hashwords.put("LENITED","persana");
		hashwords.put("LIBRARY","parmassė");
		hashwords.put("LIBRARIAN","parmasson");
		hashwords.put("LIBRARIANS","parmassondi");
		hashwords.put("LIFE","cuiviė");
		hashwords.put("LIKEHOOD","óvėassė");
		hashwords.put("LIMIT","taica");
		hashwords.put("LIMITED","lanya");
		hashwords.put("LIP","pé");
		hashwords.put("LIPS","peu");
		hashwords.put("LOFTY","ancassėa");
		hashwords.put("LONG-LIVED","yeniquanta");
		hashwords.put("LOVING","méla");
		hashwords.put("MANTLE","fanta");
		hashwords.put("MARIA","marķa");
		hashwords.put("MARK","talca");
		hashwords.put("MAYBE","cé");
		hashwords.put("MEAGRE","linya");
		hashwords.put("MEAN","selya");
		hashwords.put("MEET","ovanta");
		hashwords.put("MIGHTY","taura");
		hashwords.put("MIND","sįma");
		hashwords.put("MIDDLE","entya");
		hashwords.put("MOTHER","amillė");
		hashwords.put("MOUTH","nįva");
		hashwords.put("NECESSITY","sangiė");
		hashwords.put("NET","raima");
		hashwords.put("NETTED","raina");
		hashwords.put("NETWORK","raimė");
		hashwords.put("NEWS","sinyar");
		hashwords.put("NINTH","nertėa");
		hashwords.put("NUMERAL","notessė");
		hashwords.put("OBSTINATE","taryalanca");
		hashwords.put("OIL","LIB");
		hashwords.put("OMNIFICENT","ilucara");
		hashwords.put("OMNIPOTENT","ilśvala");
		hashwords.put("OMNISCIENT","iluisa");
		hashwords.put("ON","apa");
		hashwords.put("ONE","mo");
		hashwords.put("OPEN","lįta");
		hashwords.put("OPENING","latya");
		hashwords.put("OPENNESS","lįtiė");
		hashwords.put("OPPOSED","ara");
		hashwords.put("OPPOSITE","ara");
		hashwords.put("OPPRESSION","sangarė");
		hashwords.put("OR","var");
		hashwords.put("OVER","terwa");
		hashwords.put("PASTURE","narassė");
		hashwords.put("PATH","rata");
		hashwords.put("PATHWAY","ratta");
		hashwords.put("PATRONAGE","ortķriė");
		hashwords.put("PEACE","sķvė");
		hashwords.put("PERHAPS","quķta");
		hashwords.put("PERMISSION","lįvė");
		hashwords.put("PETITION","arcandė");
		hashwords.put("PHONETIC","lambelė");
		hashwords.put("PHONETICS","lambelė");
		hashwords.put("PICK","lepta");
		hashwords.put("PINETREE","sondė");
		hashwords.put("PINETREES","sondi");
		hashwords.put("PLEASE","iquista");
		hashwords.put("POET","lairemo");
		hashwords.put("POST","talca");
		hashwords.put("POUT","penga");
		hashwords.put("PRAY","arca");
		hashwords.put("PRAYER","arcandė");
		hashwords.put("PRESS","nir");
		hashwords.put("PRESSURE","sahtiė");
		hashwords.put("PRICK","ehta");
		hashwords.put("PRIVACY","aquapahtiė");
		hashwords.put("PRIVATE","satya");
		hashwords.put("PROMINENT","eteminya");
		hashwords.put("PROTECTION","ortķriė");
		hashwords.put("PURPOSE","selya");
		hashwords.put("PURSUE","sac");
		hashwords.put("QUADRANGLE","cantil");
		hashwords.put("QUADRANGLES","cantildi");
		hashwords.put("QUADRANGULAR","cantilya");
		hashwords.put("QUESTION","maquetta");
		hashwords.put("QUESTIONS","maquetta");
		hashwords.put("RANSOM","nanwenda");
		hashwords.put("RAVINE","rissė");
		hashwords.put("RAVISH","amapta");
		hashwords.put("READ","cenda");
		hashwords.put("REAP","cer");
		hashwords.put("REAPING","cermė");
		hashwords.put("REASON","tyarwė");
		hashwords.put("REDEEMER","runando");
		hashwords.put("RED-HAIRED","russa");
		hashwords.put("REGARDS","pį");
		hashwords.put("REGULATIONS","namnasta");
		hashwords.put("RELEASE","lerya");
		hashwords.put("REMOVAL","hailė");
		hashwords.put("RESEMBLANCE","óvėassė ");
		hashwords.put("RESOLVE","indo");
		hashwords.put("RIDE","norta");
		hashwords.put("RIDGEPOLE","orpano");
		hashwords.put("RISE","tyulya");
		hashwords.put("RIVER-BED ","ratta");
		hashwords.put("RIVET","tanca");
		hashwords.put("ROBBERY","maptalė");
		hashwords.put("ROBE","vaimata");
		hashwords.put("RUSHING","ascara");
		hashwords.put("SAD","lemba");
		hashwords.put("SADNESS","nimbė");
		hashwords.put("SAIL","ramya");
		hashwords.put("SAINT","aimo");
		hashwords.put("SAPLING","nessornė");
		hashwords.put("SCRATCH","rimpė");
		hashwords.put("SCRIBE","tecindo");
		hashwords.put("SEARCH","sac");
		hashwords.put("SEAT","hamba");
		hashwords.put("SECOND","attėa");
		hashwords.put("SEEKING","suriė");
		hashwords.put("SEEM","séya");
		hashwords.put("SEND","menta");
		hashwords.put("SENTIMENT","tendilė");
		hashwords.put("SEPARATE","satya");
		hashwords.put("SERVE","hilya");
		hashwords.put("SEVENTH","otsėa");
		hashwords.put("SHARPEN","laiceta");
		hashwords.put("SHE","sė");
		hashwords.put("SHUT","pahta");
		hashwords.put("SIN","naiquė");
		hashwords.put("SINGLE","erya");
		hashwords.put("SIXTH","enquėa");
		hashwords.put("SMILING","raina");
		hashwords.put("SNARE","remma");
		hashwords.put("SO","siė");
		hashwords.put("SOFT","mussė");
		hashwords.put("SOMEBODY","mo");
		hashwords.put("SOUP","salpa");
		hashwords.put("SPRING","celwė");
		hashwords.put("SPLINTER","sacillė");
		hashwords.put("SPY","ettirno");
		hashwords.put("STAB","ehta");
		hashwords.put("STAFF","vandil");
		hashwords.put("STALWART","talya");
		hashwords.put("STAND","tyulya");
		hashwords.put("STARTLE","capta");
		hashwords.put("STATE","indo");
		hashwords.put("STAY","norta");
		hashwords.put("STEADY","tulunca");
		hashwords.put("STIFFNESS","taryassė");
		hashwords.put("STRAY","mistana");
		hashwords.put("STREET","ratta");
		hashwords.put("STRENGTHEN","antorya");
		hashwords.put("STRENGTHENING","antoryamė");
		hashwords.put("STRIDE","telconta");
		hashwords.put("STRIPPED","racinė");
		hashwords.put("STUDY","cenya");
		hashwords.put("SUCCESSION","hilyalė");
		hashwords.put("SUIT","camta");
		hashwords.put("SUPERIOR","orohalla");
		hashwords.put("SURGE","solto");
		hashwords.put("SURVIVE","vor");
		hashwords.put("SWARD","paswa");
		hashwords.put("SYMPATHY","ófelmė");
		hashwords.put("TABLE","paluhta");
		hashwords.put("TALL","ancassėa");
		hashwords.put("TAMBOURINE","rambil");
		hashwords.put("TASK","tarassė");
		hashwords.put("TEACH","saita");
		hashwords.put("TEMPTATION","śsahtiė");
		hashwords.put("TENTH","quainėa");
		hashwords.put("THAT","sa");
		hashwords.put("THICK","sangwa");
		hashwords.put("THIN","linya");
		hashwords.put("THING","engwė");
		hashwords.put("THINK","sana");
		hashwords.put("THIRD","neldėa");
		hashwords.put("THIRSTY","soica");
		hashwords.put("THITHER","tanna");
		hashwords.put("THOUGHT","sanwė");
		hashwords.put("THREAD","lanya");
		hashwords.put("THRUST","nir");
		hashwords.put("THUS","siė");
		hashwords.put("TIDE","sóla");
		hashwords.put("TIGHT","sangwa");
		hashwords.put("TODAY","sinaurė");
		hashwords.put("TOMB","sarca");
		hashwords.put("TOMORROW","entaurė");
		hashwords.put("TOUCH","appa");
		hashwords.put("TOUCHING","apa");
		hashwords.put("TOUGH","sangwa");
		hashwords.put("TOUGHNESS","taryassė");
		hashwords.put("TRACK","vata");
		hashwords.put("TRAMPLE","vatta");
		hashwords.put("TRAP","remba");
		hashwords.put("TRAVERSE","tervanta");
		hashwords.put("TRESPASS","naicė");
		hashwords.put("TRESSURE","carrėa");
		hashwords.put("TRINITY","neldiė");
		hashwords.put("TROLL","torco");
		hashwords.put("TROUBLE","tarasta");
		hashwords.put("THROW","hat");
		hashwords.put("TURRET","mindė");
		hashwords.put("TWELFTH","yunquė");
		hashwords.put("UNCOUNTED","śnótėa");
		hashwords.put("UNICORN","eretildo");
		hashwords.put("UNITE","erta");
		hashwords.put("UNTIL","mennai");
		hashwords.put("UNWILL","avanir");
		hashwords.put("UNWISE","alasaila");
		hashwords.put("URGE","or");
		hashwords.put("URGENCY","sangiė");
		hashwords.put("USE","yuhta");
		hashwords.put("USEFULLNESS","yungwė");
		hashwords.put("USED","yunca");
		hashwords.put("VALOUR","astal");
		hashwords.put("VASSAL","neuro");
		hashwords.put("VAST","taura");
		hashwords.put("VEIL","vasar");
		hashwords.put("VENGEANCE","atacarmė");
		hashwords.put("VERDIGRIS","lairus");
		hashwords.put("VICTORY","nangwė");
		hashwords.put("VICTOR","nacil");
		hashwords.put("VIOLENT","naraca");
		hashwords.put("VOWEL","óma-tengwė");
		hashwords.put("WAIN","lunca");
		hashwords.put("WAIT","larta");
		hashwords.put("WAKE","eccuita");
		hashwords.put("WANDER","ramya");
		hashwords.put("WANDERER","ranyar");
		hashwords.put("WANDERING","ranya");
		hashwords.put("WARE","maca");
		hashwords.put("WARM","lauta");
		hashwords.put("WAS","engė");
		hashwords.put("WATERFALL","lantasķrė");
		hashwords.put("WATCH","cenda");
		hashwords.put("WAVE","solmė");
		hashwords.put("WHENCE","yallo");
		hashwords.put("WHERE","massė");
		hashwords.put("WHEREBY","yanen");
		hashwords.put("WHERETO","yanna");
		hashwords.put("WHITHER","manna");
		hashwords.put("WHOSE","yava");
		hashwords.put("WHY","manan");
		hashwords.put("WILL","mendė");
		hashwords.put("WINDOW","henet");
		hashwords.put("WINDOWS","henetsi");
		hashwords.put("WINE","miruva");
		hashwords.put("WINY","mķruva");
		hashwords.put("WING","ramna");
		hashwords.put("WISE","saila");
		hashwords.put("WITH","as");
		hashwords.put("WITHOUT","ś");
		hashwords.put("WOMB","móna");
		hashwords.put("WOOD","toa");
		hashwords.put("WRITER","tecindo");
		hashwords.put("WRITING","sarmė");
		hashwords.put("WRONG","raicė");
		hashwords.put("YES","yé");
		hashwords.put("YESTERDAY","tellaurė");
		return hashwords;
		}
	}
